Subject: Re: [PATCH] git-svn: correctly access repos when only given partial read permissions

From: Sam Vilain <[email-masked]>
Date: Sun, 03 Dec 2006 11:40:10 +1300

Eric Wong wrote:
>> I now get this error:
>>
>> Filesystem has no item: File not found: revision 8514, path
>> '/mirror/fai/tags/mirror/fai/tags' at /home/samv/src/git/git-svn line 3236
> 
> This should be fixed in 1ca7558dd838e82f6f6b8611b981654fa4ecde2b in
> Junio's master: "git-svn: fix multi-init".

Ah, so it did.  Silly me for running on ancient version of git-svn ;)

>> (next, I'll make git-svn correctly look at the svm:* revprops to get the
>> upstream repo URL and revision number for the commit message)
> 
> Cool.  While you're at it, would you mind looking into supporting some
> of the merge revprops that I've heard about, too?  Thanks.

Great idea, I'll certainly do that.  Of course, they are relative to the
*local* repository...